Entity Clone Template
===========

Add a Drupal View to clone a content from a template.
 
Installation
------------

* Normal module installation procedure. See: https://www.drupal.org/documentation/install/modules-themes/modules-8
  
Pre-requisites
--------------
For convenience, you can use the following patch to be redirected to the edition of a node after a clone if needed :

https://www.drupal.org/files/issues/2019-03-11/improve-workflow-of-cloned-entity-2708731-11_1.patch

Usage
------------
* After enabling the module, make sure at least one content type is configured to use Entity Clone Template. 
For example, for the article content type go to: `[SITE]/admin/structure/types/manage/article` then check 
**Enable Entity Clone Template** under **Entity Clone Content**.

* When creating or editing a content, you should now have an **Entity Clone Template** section where you can define the
current content as a content template and set an image to be displayed on the Entity Clone Template view page

* The Entity Clone view page is available at `[SITE]/admin/content/clone-content-from-template` or under the **Content** 
Admin Menu.


